Page MenuHomePhabricator

Examine accessibility of donate.wikimedia.org content
Closed, ResolvedPublic

Description

Look at this again. Ensuring sufficient contrast and keyboard access would be good places to start.

See also T108342 for banners

Event Timeline

Pcoombe created this task.Apr 13 2017, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 6:57 PM

Looking at https://donate.wikimedia.org/w/index.php?title=Special:LandingPage&country=US&uselang=en&utm_medium=spontaneous&utm_source=fr-redir&utm_campaign=spontaneous for accessibility caveats. There is – besides a false positive on the “Other” label for connected input – only

  • <input type="search" name="search" placeholder="Search Donate" title="Search Donate [ctrl-option-f]" accesskey="f" id="searchInput" tabindex="1" autocomplete="off"> is hidden but has positive tabindex, where it shouldn't.

Everything else seems ok or is a MediaWiki-General Accessibility issue…

Pcoombe claimed this task.Jul 6 2017, 5:11 PM

Thanks for looking at this @Volker_E ! I added some javascript to set the tabindex on that to 0.

I also double checked contrast, and improved a couple of elements. Now everything matches or exceeds the AA standard (4.5:1).

I'm planning to add the improved focus styles that we have on our desktop banners too, but it's a little more difficult than expected as some HTML needs to be rearranged.

Pcoombe closed this task as Resolved.Jul 7 2017, 8:45 PM

I added the improved focus styles, and made it possible to tab past the "Other" input. Feel free to re-open or make another task if you see any other things that could be improved.